### Enumeration

# FwupdPlugin MsgpackItemKind

since: 1.0

#### Declaration

    enum FwupdPlugin.MsgpackItemKind

#### Description

No description available.

Available since: 1.0

#### Members

`FU_MSGPACK_ITEM_KIND_UNKNOWN`
  No description available.
  - Value: `0`
  - Nickname: `None`
  - Available since: 1.0
`FU_MSGPACK_ITEM_KIND_INTEGER`
  No description available.
  - Value: `1`
  - Nickname: `None`
  - Available since: 1.0
`FU_MSGPACK_ITEM_KIND_NIL`
  No description available.
  - Value: `2`
  - Nickname: `None`
  - Available since: 1.0
`FU_MSGPACK_ITEM_KIND_BOOLEAN`
  No description available.
  - Value: `3`
  - Nickname: `None`
  - Available since: 1.0
`FU_MSGPACK_ITEM_KIND_FLOAT`
  No description available.
  - Value: `4`
  - Nickname: `None`
  - Available since: 1.0
`FU_MSGPACK_ITEM_KIND_STRING`
  No description available.
  - Value: `5`
  - Nickname: `None`
  - Available since: 1.0
`FU_MSGPACK_ITEM_KIND_BINARY`
  No description available.
  - Value: `6`
  - Nickname: `None`
  - Available since: 1.0
`FU_MSGPACK_ITEM_KIND_ARRAY`
  No description available.
  - Value: `7`
  - Nickname: `None`
  - Available since: 1.0
`FU_MSGPACK_ITEM_KIND_MAP`
  No description available.
  - Value: `8`
  - Nickname: `None`
  - Available since: 1.0
`FU_MSGPACK_ITEM_KIND_EXTENSION`
  No description available.
  - Value: `9`
  - Nickname: `None`
  - Available since: 1.0